function openEvaluateLocation(trip) {
    if (trip.tripCallTypeId === TRIP_CALL_TAXIMETER)
        return;

    const places = [];

    places.push({
        type: "Embarque",
        address: trip.origin.address, latitude: trip.origin.latitude, longitude: trip.origin.longitude
    });
    if (trip.tripWayPoints.length > 0)
        places.push(...trip.tripWayPoints.map((place) => {
            return {
                type: `Desembarque`,
                address: place.address, latitude: place.latitude, longitude: place.longitude};
        }));
    places.push({
        type:"Desembarque",
        address: trip.destination.name,
        latitude: trip.destination.latitude,
        longitude: trip.destination.longitude
    });

    const {showRiskAreaInCall} = Session.get("cityConfig");

    viewController.elementProperty.getElement("#listPlacesEvaluate", element => {
        element.innerHTML = places.map((place, index) => {
            return `<li>
                        <b>${place.type}</b>
                        <p>${place.address}</p>
                        <div>
                            <div>
                                <span>Mapa</span>
                                <div>
                                    <span class="material-icons select-type-evaluation active" value="${index}">thumb_up_alt</span>
                                    <span class="material-icons select-type-evaluation blacklist-address-selected" value="${index}" label='${JSON.stringify(place)}'>thumb_down_alt</span>
                                </div>
                            </div>
                            <div style="${showRiskAreaInCall == true ? "" : "display:none;" }">
                                <span>Seguro</span>
                                <div>
                                    <span class="material-icons select-type-evaluation active" value="${index}">thumb_up_alt</span>
                                    <span class="material-icons select-type-evaluation risk-area-address-selected" value="${index}" label='${JSON.stringify(place)}'>thumb_down_alt</span>
                                </div>
                            </div>
                        </div>
                    </li>`;
        }).join("");

        viewController.elementProperty.addEventInElement(".select-type-evaluation", 'onclick', function () {
            const value = this.getAttribute("value");
            document.querySelectorAll(`.select-type-evaluation[value="${value}"]`).forEach(element => {
                element.classList.remove("active");
            });

            this.classList.add("active");
        });
    });
}
